[GRASS-SVN] r39670 - in grass/branches/develbranch_6:
gui/tcltk/gis.m lib/init
svn_grass at osgeo.org
svn_grass at osgeo.org
Tue Nov 3 04:08:31 EST 2009
Author: marisn
Date: 2009-11-03 04:08:29 -0500 (Tue, 03 Nov 2009)
New Revision: 39670
Modified:
grass/branches/develbranch_6/gui/tcltk/gis.m/gm.tcl
grass/branches/develbranch_6/lib/init/init.sh
Log:
Use SIGQUIT instead of SIGINIT to avoid accidental GRASS session termination by Ctrl+C
Modified: grass/branches/develbranch_6/gui/tcltk/gis.m/gm.tcl
===================================================================
--- grass/branches/develbranch_6/gui/tcltk/gis.m/gm.tcl 2009-11-02 21:15:12 UTC (rev 39669)
+++ grass/branches/develbranch_6/gui/tcltk/gis.m/gm.tcl 2009-11-03 09:08:29 UTC (rev 39670)
@@ -532,7 +532,7 @@
GRASS module from comandline, GRASS will terminate after it\
finishes to run."] warning 1 [G_msg "Terminate current GRASS sesion"] [G_msg "Cancel"]]
if { $leave == 0 } {
- exec kill -SIGINT $env(GRASS_SHELL_PID)
+ exec kill -SIGQUIT $env(GRASS_SHELL_PID)
} else {
return
}
Modified: grass/branches/develbranch_6/lib/init/init.sh
===================================================================
--- grass/branches/develbranch_6/lib/init/init.sh 2009-11-02 21:15:12 UTC (rev 39669)
+++ grass/branches/develbranch_6/lib/init/init.sh 2009-11-03 09:08:29 UTC (rev 39670)
@@ -973,7 +973,7 @@
if [ "$GRASS_GUI" = tcltk ] || [ "$GRASS_GUI" = gis.m ]; then
echo '$GISBASE/scripts/gis.m' >> "$bashrc" # Start gis.m
fi;
- echo 'trap "echo \"GUI issued an exit\"; exit" SIGINT' >> "$bashrc"
+ echo 'trap "echo \"GUI issued an exit\"; exit" SIGQUIT' >> "$bashrc"
"$ETC/run" "$SHELL"
EXIT_VAL=$?
More information about the grass-commit
mailing list